Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class StatelessHandleImpl

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.StatelessHandleImpl

All Implemented Interfaces:
  javax.ejb.Handle, java.io.Serializable

public class StatelessHandleImpl
extends AbstractHandle
implements javax.ejb.Handle

An EJB stateless session bean handle.

Version:
  $Revision: 1.5 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`initialContextHandle, name`

Constructor Summary
`StatelessHandleImpl(InitialContextHandle handle, java.lang.String name)` Construct a `StatelessHandleImpl`.

Method Summary
`javax.ejb.EJBObject` | `getEJBObject()` Handle implementation.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`createInitialContext, getEJBObject, lookupEJBHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessHandleImpl

    public StatelessHandleImpl(InitialContextHandle handle,
                               java.lang.String name)

  Construct a `StatelessHandleImpl`.
  Parameters:
    `handle` - The initial context handle that will be used to restore the naming context or null to use a fresh InitialContext object.
    `name` - JNDI name.

Method Detail

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()
                                     throws java.rmi.RemoteException

  Handle implementation.
  Specified by:
    `getEJBObject` in interface `javax.ejb.Handle`
  Returns:
    `EJBObject` reference.
  Throws:
    `ServerException` - Could not get EJBObject.
    `java.rmi.RemoteException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.